#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%global __requires_exclude devel\\(libKF5
%define kontact_mobile 1
%define _cmake_skip_rpath %nil

%define rel 1

Name:           kaddressbook
Summary:        Address Book application to manage your contacts
Epoch:          2
Version: 23.04.1
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5PrintSupport)

# Find KF5 package
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5Crash)

# Find KdepimLibs Package
BuildRequires:  cmake(KPim5TextEdit)
BuildRequires:  cmake(KPim5Akonadi)
BuildRequires:  cmake(KPim5KontactInterface)
BuildRequires:  cmake(KPim5MailCommon)
BuildRequires:  cmake(KPim5Libkdepim)
BuildRequires:  cmake(KF5PimCommonAkonadi)
BuildRequires:  cmake(KPim5AkonadiSearch)
BuildRequires:  cmake(KPim5GrantleeTheme)

BuildRequires:  cmake(KF5Prison)
BuildRequires:  cmake(KUserFeedback)

BuildRequires:  gpgme-devel

Requires:       akonadi-kde
Requires:       grantlee
Requires:       kio5-ldap

Recommends:     %{name}-handbook


%description
KAddressBook stores all the personal details of your family, friends and other
contacts.

Features:
    - Imports and exports to nearly every address book standard
    - Reads .vcf format files, and can import and export vCards and csv format
      files
    - Can use multiple LDAPservers
    - Configurable filters and powerful search capabilities
    - Integrates with other Kontact components, e.g. exporting Birthday
      reminders to KOrganizer
    - Capable of groupware integration
    - Powered by Akonadi

%files -f %name.lang
%_kf5_categoriesdir/kaddressbook.*categories
%_kf5_bindir/kaddressbook
%_kf5_datadir/kaddressbook
%_kf5_metainfodir/org.kde.kaddressbook.appdata.xml
%_kf5_applicationsdir/kaddressbook-importer.desktop
%_kf5_applicationsdir/kaddressbook-view.desktop
%_kf5_applicationsdir/org.kde.kaddressbook.desktop
%_qt5_plugindir/kaddressbookpart.so
%_qt5_plugindir/pim5/kcms/kaddressbook/kaddressbook_config_plugins.so
%_qt5_plugindir/pim5/kcms/kaddressbook/kaddressbook_config_userfeedback.so
# Kontact integration
%_qt5_plugindir/pim5/kontact/kontact_kaddressbookplugin.so
%_kf5_iconsdir/hicolor/*/*/kaddressbook.*

#--------------------------------------------------------------------

%define addressbookprivate_major 5
%define libkaddressbookprivate %mklibname kaddressbookprivate %addressbookprivate_major

%package -n %libkaddressbookprivate
Summary:        KDEPIM library
Group:          System/Libraries

Obsoletes:      %{_lib}addressbookprivate5 < 2:19.04.3-2
Provides:       %{_lib}addressbookprivate5 = %epoch:%version

%description -n %libkaddressbookprivate
KDEPIM library.

%files -n %libkaddressbookprivate
%_kf5_libdir/libkaddressbookprivate.so.%{addressbookprivate_major}{,.*}

#--------------------------------------------------------------------

%define addressbookimportexport_major 5
%define libkpimaddressbookimportexport %mklibname kpim5addressbookimportexport %{addressbookimportexport_major}

%package -n %libkpimaddressbookimportexport
Summary:        This module contains mail-related KPim Addressbook Import Export libraries
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpimaddressbookimportexport
This module contains mail-related KPim Addressbook Import Export libraries.

%files -n %libkpimaddressbookimportexport
%_kf5_libdir/libKPim5AddressbookImportExport.so.%{addressbookimportexport_major}{,.*}

#--------------------------------------------------------------------

%define kpimaddressbookimportexport_devel %mklibname kpimaddressbookimportexport -d

%package -n %kpimaddressbookimportexport_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimaddressbookimportexport = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

# it replace now kdepim-apps-libs pkg
Obsoletes:      %{_lib}kf5kdepim-apps-libs-devel < 2:20.12.0-1
Provides:       kdepim-apps-libs-devel = %epoch:%{version}-%{release}

%description -n %kpimaddressbookimportexport_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kpimaddressbookimportexport_devel
%_includedir/KPim5/KAddressBookImportExport/
%_includedir/KPim5/kaddressbookimportexport/
%_includedir/KPim5/kaddressbookimportexport_version.h
%_kf5_libdir/libKPim5AddressbookImportExport.so
%_kf5_libdir/cmake/KPim5AddressbookImportExport/
%_kf5_libdir/cmake/KPimAddressbookImportExport/
%_kf5_mkspecsdir/qt_KAddressbookImportExport.pri

#--------------------------------------------------------------------

%package handbook
Summary:        Kaddressbook Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides Kaddressbook handbook.

%files handbook
%license LICENSES/*.txt
%_kf5_docdir/HTML/*/kaddressbook/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install
%find_lang %name --all-name


%changelog
* Sun May 28 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1959387
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946435
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1941729
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1922848
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1911340
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905195
- New version 22.08.3

* Fri Sep 16 2022 neoclust <neoclust> 2:22.08.1-1.mga9
+ Revision: 1889348
- New version 22.08.1

* Thu Sep 01 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1883182
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1873011
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1853905
- New version 22.04.0

* Thu Apr 21 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1852355
- New version 22.03.90

* Sat Jan 01 2022 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1765678
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1724002
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1718293
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1698490
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1694029
- New version 20.12.2

* Mon Dec 14 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1657254
- New version 20.12.0

* Wed Nov 11 2020 joequant <joequant> 2:20.08.3-2.mga8
+ Revision: 1644561
- rebuild with new qca-qt5
+ neoclust <neoclust>
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633743
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1626995
- New version 20.08.1

* Fri Aug 21 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1617354
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604059
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596791
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1584442
- New version 20.04.1

* Sun Apr 19 2020 daviddavid <daviddavid> 2:20.04.0-2.mga8
+ Revision: 1569707
- enable KUserFeedback support

* Fri Apr 17 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568073
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559263
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540902
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513233
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Tue Dec 17 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1468485
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457837
- New version 19.08.3

* Sat Sep 28 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447789
- New version 19.08.1

* Thu Aug 01 2019 daviddavid <daviddavid> 2:19.04.3-2.mga8
+ Revision: 1426637
- fix library pkg name

* Mon Jul 29 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1424930
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390385
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387589
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1381981
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375469
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365504
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356440
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339453
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332684
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327337
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1298418
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1228892
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201834
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194858
- New version 17.12.1

* Sun Jan 07 2018 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1191050
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1142979
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1136716
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 2:17.04.3-3.mga7
+ Revision: 1133482
- Fix for new find_lang
- Fix for new find_lang

* Fri Jul 28 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131723
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090015
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1
+ pterjan <pterjan>
- Exclude armv5tl

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076750
- New version 16.12.0

* Sun Dec 11 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1074277
- imported package kaddressbook

